<!DOCTYPE html>
<html>

<head>
    <title th:text="#{create.user}"></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link href="../../../resources/css/bootstrap.min.css" rel="stylesheet" media="screen"
          th:href="@{/resources/css/bootstrap.min.css}"/>
    <link href="../../../resources/css/core.css" rel="stylesheet" media="screen" th:href="@{/resources/css/core.css}"/>
    <script src="http://code.jquery.com/jquery-latest.js"></script>
    <script src="../../../resources/js/bootstrap.min.js" th:src="@{/resources/js/bootstrap.min.js}"></script>
</head>

<body>
<div th:replace="fragments/header :: header">&nbsp;</div>
<div class="container-fluid">
<form class="form-horizontal" method="post" th:action="@{/signup}" th:object="${signupForm}"
      th:fragment="signupForm">
<!--/* Show general error websocket when form contains errors */-->
<th:block th:if="${#fields.hasErrors('${signupForm.*}')}">
    <div th:replace="fragments/alert :: alert (type='danger', message='${username} Existen errores en el usuario')">
        Alert
    </div>
</th:block>

<div class="row form-user">
<fieldset>
<legend th:text="#{create.user}"></legend>
<!--UserName-->
<div class="col-lg-6">

    <div class="form-group" th:classappend="${#fields.hasErrors('username')}? 'has-error'">
        <label for="username" class="col-lg-2 control-label" th:text="#{username}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="username" th:placeholder="#{username}"
                   th:field="*{username}"/>
            <span class="help-block" th:if="${#fields.hasErrors('username')}"
                  th:errors="*{username}">Incorrect username</span>
        </div>
    </div>
    <!--password-->
    <div class="form-group" th:classappend="${#fields.hasErrors('password')}? 'has-error'">
        <label for="password" class="col-lg-2 control-label" th:text="#{password}"></label>

        <div class="col-lg-10">
            <input type="password" class="form-control" id="password" th:placeholder="#{password}"
                   th:field="*{password}"/>
            <span class="help-block" th:if="${#fields.hasErrors('password')}"
                  th:errors="*{password}">Incorrect password</span>
        </div>
    </div>
    <!--Role-->
    <div class="form-group">
        <!--<label class="control-label" th:text="#{role}"></label>-->
        <div class="col-xs-5 selectContainer">
            <select class="form-control" th:field="*{role}">
                <option th:each="rol : ${signupForm.roles}"
                        th:value="${rol.role}"
                        th:selected="${role}"
                        th:text="${rol.description}"></option>
            </select>
        </div>
        <!--White List-->
        <div class="checkbox col-xs-3">
            <label th:text="#{whiteList}"></label>
            <input type="checkbox" th:field="*{isWhiteList}"/>
        </div>
        <!--Usuario Habilitado-->
        <div class="checkbox col-xs-3">
            <label th:text="#{enabled}"></label>
            <input type="checkbox" th:field="*{isEnabled}"/>
        </div>
    </div>
    <!--email-->
    <div class="form-group" th:classappend="${#fields.hasErrors('lastName')}? 'has-error'">
        <label for="email" class="col-lg-2 control-label" th:text="#{email}"></label>

        <div class="col-lg-10">
            <input type="email" class="form-control" id="email" th:placeholder="#{email}"
                   th:field="*{email}"/>
                <span class="help-block" th:if="${#fields.hasErrors('email')}"
                      th:errors="*{email}">Incorrect LastName</span>
        </div>
    </div>
    <!--Name-->
    <div class="form-group" th:classappend="${#fields.hasErrors('name')}? 'has-error'">
        <label for="name" class="col-lg-2 control-label" th:text="#{name}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="name" th:placeholder="#{name}"
                   th:field="*{name}"/>
                    <span class="help-block" th:if="${#fields.hasErrors('name')}"
                          th:errors="*{name}">Incorrect name</span>
        </div>
    </div>
    <!--LastName-->
    <div class="form-group" th:classappend="${#fields.hasErrors('lastName')}? 'has-error'">
        <label for="name" class="col-lg-2 control-label" th:text="#{lastName}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="lastName" th:placeholder="#{lastName}"
                   th:field="*{lastName}"/>
        <span class="help-block" th:if="${#fields.hasErrors('lastName')}"
              th:errors="*{lastName}">Incorrect LastName</span>
        </div>
    </div>
    <!--Tipo de Dni-->
    <div class="form-group">
        <label for="identificationType" class="col-lg-2 control-label" th:text="#{identificationType}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="identificationType"
                   th:placeholder="#{identificationType}"
                   th:field="*{identificationType}"/>
        </div>
    </div>
    <!--Numero de Dni-->
    <div class="form-group">
        <label for="identificationNumber" class="col-lg-2 control-label"
               th:text="#{identificationNumber}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="identificationNumber"
                   th:placeholder="#{identificationNumber}"
                   th:field="*{identificationNumber}"/>
        </div>
    </div>
</div>
<div class="col-lg-6">
    <!--Address -->
    <div class="form-group">
        <label for="address" class="col-lg-2 control-label" th:text="#{address}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="address" th:placeholder="#{address}"
                   th:field="*{address}"/>
        </div>
    </div>
    <!--Address Number-->
    <div class="form-group">
        <label for="addressNumber" class="col-lg-2 control-label" th:text="#{addressNumber}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="addressNumber" th:placeholder="#{addressNumber}"
                   th:field="*{addressNumber}"/>
        </div>
    </div>
    <!--Codigo Postal-->
    <div class="form-group">
        <label for="postalCode" class="col-lg-2 control-label" th:text="#{postalCode}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="postalCode" th:placeholder="#{postalCode}"
                   th:field="*{postalCode}"/>
        </div>
    </div>
    <!--Pais-->
    <div class="form-group">
        <label for="country" class="col-lg-2 control-label" th:text="#{country}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="country" th:placeholder="#{country}"
                   th:field="*{country}"/>
        </div>
    </div>
    <!--Provincia-->
    <div class="form-group">
        <label for="province" class="col-lg-2 control-label" th:text="#{province}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="province" th:placeholder="#{province}"
                   th:field="*{province}"/>
        </div>
    </div>
    <!--Localidad-->
    <div class="form-group">
        <label for="location" class="col-lg-2 control-label" th:text="#{location}"></label>

        <div class="col-lg-10">
            <input type="text" class="form-control" id="location" th:placeholder="#{location}"
                   th:field="*{location}"/>
        </div>
    </div>
    <!--Cellphone-->
    <div class="form-group">
        <label for="cellPhone" class="col-lg-2 control-label" th:text="#{cellPhone}"></label>

        <div class="col-lg-10">
            <input type="number" class="form-control" id="cellPhone" th:placeholder="#{cellPhone}"
                   th:field="*{cellPhone}"/>
        </div>
    </div>
    <!--Cellphone alternative-->
    <div class="form-group">
        <label for="cellPhoneAlternative" class="col-lg-2 control-label"
               th:text="#{cellPhoneAlternative}"></label>

        <div class="col-lg-10">
            <input type="number" class="form-control" id="cellPhoneAlternative"
                   th:placeholder="#{cellPhoneAlternative}"
                   th:field="*{cellPhoneAlternative}"/>
        </div>
    </div>
    <!--phone-->
    <div class="form-group">
        <label for="phone" class="col-lg-2 control-label" th:text="#{phone}"></label>

        <div class="col-lg-10">
            <input type="number" class="form-control" id="phone" th:placeholder="#{phone}"
                   th:field="*{phone}"/>
        </div>
    </div>
    <!--phone alternative-->
    <div class="form-group">
        <label for="phoneAlternative" class="col-lg-2 control-label" th:text="#{phoneAlternative}"></label>

        <div class="col-lg-10">
            <input type="number" class="form-control" id="phoneAlternative" th:placeholder="#{phoneAlternative}"
                   th:field="*{phoneAlternative}"/>
        </div>
    </div>
    <div class="form-group">
        <div class="col-lg-offset-2 col-lg-10">
            <button type="submit" class="btn btn-default">Guardar</button>
        </div>
    </div>
</div>
<!--<div class="form-group">-->
<!--<div class="col-lg-offset-2 col-lg-10">-->
<!--<p>Already have an account? <a href="signin" th:href="@{/signin}">Guardar</a></p>-->
<!--</div>-->
<!--</div>-->
</fieldset>
</div>
</form>
<div th:replace="fragments/footer :: ${#authentication.principal.isAdmin()} ? 'footer-admin' : 'footer'">&copy; 2013
    The Static Templates
</div>

</div>
</body>
</html>